## i2p.susi.webmail.encoding
Class HeaderLine

    java.lang.Object
      i2p.susi.webmail.encoding.HeaderLine

All Implemented Interfaces:
  Encoding

    public class HeaderLine

extends Object
implements Encoding

Author:
  susi

Field Summary
`static String` `NAME`

Constructor Summary
`HeaderLine()`

Method Summary
`ReadBuffer` `decode(byte[] in)`
`ReadBuffer` `decode(byte[] in, int offset, int length)`
`ReadBuffer` `decode(ReadBuffer in)`
`ReadBuffer` `decode(String text)`
`String` `encode(byte[] in)`
`String` `encode(String text)`
`String` `getName()`
`static void` `main(String[] args)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NAME

    public static final String NAME

See Also:
  Constant Field Values

Constructor Detail

### HeaderLine

    public HeaderLine()

Method Detail

### getName

    public String getName()

  Specified by:
    `getName` in interface `Encoding`

### encode

    public String encode(String text)
                  throws EncodingException

  Specified by:
    `encode` in interface `Encoding`
  Throws:
    `EncodingException`
  See Also:
    `Encoding.encode(byte[])`

### encode

    public String encode(byte[] in)
                  throws EncodingException

  Specified by:
    `encode` in interface `Encoding`
  Returns:
    Encoded string.
  Throws:
    `EncodingException`

### decode

    public ReadBuffer decode(byte[] in)
                      throws DecodingException

  Specified by:
    `decode` in interface `Encoding`
  Throws:
    `DecodingException`
  See Also:
    `Encoding.decode(byte[], int, int)`

### decode

    public ReadBuffer decode(byte[] in,
                             int offset,
                             int length)
                      throws DecodingException

  Specified by:
    `decode` in interface `Encoding`
  Returns:
    Output buffer containing decoded String.
  Throws:
    `DecodingException`

### decode

    public ReadBuffer decode(String text)
                      throws DecodingException

  Specified by:
    `decode` in interface `Encoding`
  Throws:
    `DecodingException`
  See Also:
    `Encoding.decode(byte[], int, int)`

### decode

    public ReadBuffer decode(ReadBuffer in)
                      throws DecodingException

  Specified by:
    `decode` in interface `Encoding`
  Throws:
    `DecodingException`
  See Also:
    `Encoding.decode(byte[], int, int)`

### main

    public static void main(String[] args)
                     throws EncodingException

  Throws:
    `EncodingException`